%undefine __cmake_in_source_build

Summary: KDE Frameworks 5 Tier 3 solution for password management
Name:    kf5-kwallet
Version: 5.110.0
%global majmin %majmin_ver_kf5
%global stable %stable_kf5
Release: 1%{?dist}
License: LGPLv2+
URL:     https://invent.kde.org/frameworks/kwallet
Source0: http://download.kde.org/%{stable}/frameworks/%{majmin}/kwallet-%{version}.tar.xz

BuildRequires:  cmake(Qca-qt5), extra-cmake-modules >= %{majmin}
BuildRequires:  qgpgme-devel, libgcrypt-devel, qt5-qtbase-devel, make
BuildRequires:  kf5-kconfig-devel >= %{majmin}, kf5-kconfigwidgets-devel >= %{majmin}
BuildRequires:  kf5-kcoreaddons-devel >= %{majmin}, kf5-kdbusaddons-devel >= %{majmin}
BuildRequires:  kf5-kdoctools-devel >= %{majmin}, kf5-ki18n-devel >= %{majmin}
BuildRequires:  kf5-kiconthemes-devel >= %{majmin}, kf5-knotifications-devel >= %{majmin}
BuildRequires:  kf5-kservice-devel >= %{majmin}, kf5-kwidgetsaddons-devel >= %{majmin}
BuildRequires:  kf5-kwindowsystem-devel >= %{majmin}, kf5-rpm-macros
BuildRequires:  cmake(Gpgmepp)

Requires:       %{name}-libs = %{version}-%{release}

Recommends:     pinentry-gui

%description
KWallet is a secure and unified container for user passwords.

%package        libs
Summary:        KWallet framework libraries
Requires:       %{name} = %{version}-%{release}
%description    libs
Provides API to access KWallet data from applications.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}-libs = %{version}-%{release}
Requires:       qt5-qtbase-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n kwallet-%{version} -p1


%build
%{cmake_kf5} \
  -DBUILD_TESTING:BOOL=OFF
%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name --with-man


%check


%files -f %{name}.lang
%license LICENSES/*.txt
%doc README.md
%{_kf5_bindir}/kwallet-query
%{_kf5_bindir}/kwalletd5
%{_kf5_datadir}/kservices5/kwalletd5.desktop
%{_kf5_datadir}/applications/org.kde.kwalletd5.desktop
%{_kf5_datadir}/qlogging-categories5/kwallet*
%{_kf5_datadir}/dbus-1/services/org.kde.kwalletd5.service
%{_kf5_datadir}/knotifications5/kwalletd5.notifyrc
%{_mandir}/man1/kwallet-query.1*



%files libs
%{_kf5_libdir}/libKF5Wallet.so.*
%{_kf5_libdir}/libkwalletbackend5.so.*

%files devel
%{_kf5_includedir}/KWallet/
%{_kf5_libdir}/cmake/KF5Wallet/
%{_kf5_libdir}/libKF5Wallet.so
%{_kf5_libdir}/libkwalletbackend5.so
%{_kf5_datadir}/dbus-1/interfaces/kf5_org.kde.KWallet.xml
%{_kf5_archdatadir}/mkspecs/modules/qt_KWallet.pri


%changelog
* Wed Nov 22 2023 Chair <chairou@tencent.com> - 5.110.0-1
- Init
